Go Back   DisplayLink Forum > DisplayLink Graphics Technology > Linux and Open Source

Reply
 
Thread Tools Search this Thread Display Modes
Old 05-12-2023, 08:09 AM   #1
yanib
Junior Member
 
Join Date: May 2023
Posts: 3
Default displaylink-driver.service failed because the control process exited with error code

Hi,

I've installed the latest DisplayLink driver using Synaptics APT Repository. I am using Zorin OS. When I try to start the service I am getting errors.

I am not very experienced with linux systems, and I did have some earlier issues trying to install older versions of the DisplayLink driver and Evdi, I'm not sure if that could be causing my issues now but I have ensured that any old versions of Evdi and displaylink have been removed to the best of my knowledge.

When I run dkms status:
evdi, 1.13.1, 5.15.0-69-generic, x86_64: installed

I've got a Dell D3100 hub and I am just trying to get dual monitors working. Thanks.

Last edited by yanib; 08-21-2023 at 08:17 AM.
yanib is offline   Reply With Quote
Old 05-12-2023, 11:14 AM   #2
rboerner
Super Moderator
 
Join Date: Jan 2015
Posts: 430
Default

Quote:
Originally Posted by yanib View Post
Hi,

I've installed the latest DisplayLink driver using Synaptics APT Repository. I am using Zorin OS. When I try to start the service I am getting the following errors:

HTML Code:
sudo systemctl start displaylink-driver.service
Job for displaylink-driver.service failed because the control process exited with error code.
See "systemctl status displaylink-driver.service" and "journalctl -xe" for details.
Then:
HTML Code:
systemctl status displaylink-driver.service    
displaylink-driver.service - DisplayLink Driver Service
     Loaded: loaded (/lib/systemd/system/displaylink-driver.service; static; vendor preset: enabled)
     Active: activating (auto-restart) (Result: exit-code) since Fri 2023-05-12 08:55:37 BST; 522ms ago
    Process: 8929 ExecStartPre=/bin/sh -c modprobe evdi || (dkms install $(ls -t /usr/src | grep evdi | head -n1  | sed -e "s:-:/:") && modprobe evdi) (code=exited, status=1>
I am not very experienced with linux systems, and I did have some earlier issues trying to install older versions of the DisplayLink driver and Evdi, I'm not sure if that could be causing my issues now but I have ensured that any old versions of Evdi and displaylink have been removed to the best of my knowledge.

When I run dkms status:
evdi, 1.13.1, 5.15.0-69-generic, x86_64: installed

I've got a Dell D3100 hub and I am just trying to get dual monitors working. Thanks.
If you have not done so already, I would suggest reporting this issue to DisplayLink by following these steps --> https://support.displaylink.com/know...to-displaylink
rboerner is offline   Reply With Quote
Old 05-24-2023, 09:30 AM   #3
yanib
Junior Member
 
Join Date: May 2023
Posts: 3
Default

Thanks, I have now ran the tool and have uploaded the logs

Last edited by yanib; 08-21-2023 at 08:22 AM.
yanib is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 02:36 AM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2024, vBulletin Solutions, Inc.